QGIS Application - Bug report #9635
Qgis 2.2 install on ubuntu wiped projection information
2014-02-24 05:45 AM - Heather Hillers

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18207
Description

| installed ggis 2.2 this morning from ubuntugis-unstable on ubuntugis-precise. | formerly had 2.1 installed from ubuntugis

The install gave the following suspicious Output:

qgis-providers-common (2.0.1-2+precise1) wird eingerichtet ...
Synchronizing CRS database with GDAL/PROJ definitions.
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified
QFSFileEngine::open: No file name specified

Loading epsg.wkt

0 WKTs loaded

CRS update (inserted:0 updated:0 deleted:3631 errors:0)
No CRS updates were necessary.

And although qgis 2.2 installed fine, all the commonly used projections (31466, 25832, WGS 84 even) were gone. The list wasn't empty.
It's just a very strange collection of obscure projections.

| tried apt-get install --reinstall qgis

| tried purging qgis from the System and reinstalling.

| Keep getting the same log and the same result.

The horrific part is, now | don't have qgis 2.1, because it's not on ubuntugis-unstable anymore, and even worse, | just managed to remove
qgis and go back to the qgis.org main, which is Dufour, And | still get the same log message as above, and my projections are still gone.
Which means | have no ability to get a functional qgis back with apt-get. I'm scared. Help.

| get the log message when | just install ggis-providers, so it's in there.

Is there anyway | can reinstall the projections?

History

#1 - 2014-03-01 03:39 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to 2.2.0
- Status changed from Open to Feedback

- Category set to Build/Install
have you tried update your sources and re-install?

#2 - 2014-06-21 03:31 PM - Jiirgen Fischer
- Status changed from Feedback to Closed

closing for the lack of feedback.
